from fastapi import status


def test_health_endpoint(client):
    """
    Test the health endpoint returns correct response.
    """
    response = client.get("/health")
    data = response.json()
    
    assert response.status_code == status.HTTP_200_OK
    assert data["status"] == "healthy"
    assert "database" in data
    assert "version" in data